## org.apache.myfaces.taglib.core
Class LoadBundleTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.myfaces.taglib.core.LoadBundleTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class LoadBundleTag
extends javax.servlet.jsp.tagext.TagSupport

TODO: We should find a way to save loaded bundles in the state, because otherwise on the next request the bundle map will not be present before the render phase and value bindings that reference to the bundle will always log annoying "Variable 'xxx' could not be resolved" error messages.

Version:
  $Revision: 225368 $ $Date: 2005-07-26 14:14:51 -0400 (Tue, 26 Jul 2005) $
Author:
  Manfred Geiler (latest modification by $Author: bdudney $)
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`LoadBundleTag()`

Method Summary
`int` `doStartTag()`
`void` `setBasename(java.lang.String basename)`
`void` `setVar(java.lang.String var)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoadBundleTag

    public LoadBundleTag()

Method Detail

### setBasename

    public void setBasename(java.lang.String basename)

### setVar

    public void setVar(java.lang.String var)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`